package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class JenisKartu
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "JenisKartu_M")
public class JenisKartu extends BaseMaster {
	@NotNull(message = "Jenis Kartu tidak boleh kosong")
	@Column(name = "JenisKartu", nullable = false, length = 20)
	@Caption(value = "Jenis Kartu")
	private String jenisKartu;

	public void setJenisKartu(String jenisKartu) {
		this.jenisKartu = jenisKartu;
	}

	public String getJenisKartu() {
		return this.jenisKartu;
	}

	@NotNull(message = "Kd Jenis Kartu tidak boleh kosong")
	@Column(name = "KdJenisKartu", nullable = false)
	@Caption(value = "Kode Jenis Kartu")
	private Byte kdJenisKartu;

	public void setKdJenisKartu(Byte kdJenisKartu) {
		this.kdJenisKartu = kdJenisKartu;
	}

	public Byte getKdJenisKartu() {
		return this.kdJenisKartu;
	}

	@NotNull(message = "QJenis Kartu tidak boleh kosong")
	@Column(name = "QJenisKartu", nullable = false)
	@Caption(value = "QJenis Kartu")
	private Byte qJenisKartu;

	public void setqJenisKartu(Byte qJenisKartu) {
		this.qJenisKartu = qJenisKartu;
	}

	public Byte getqJenisKartu() {
		return this.qJenisKartu;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.jeniskartu_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.jeniskartu_m_id_seq", sequenceName = "public.jeniskartu_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}